Skip to main content
PATCH
/
v1
/
offboarding-checklist
/
template
/
{id}
Update an offboarding checklist template item
curl --request PATCH \
  --url https://api.trycomp.ai/v1/offboarding-checklist/template/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "evidenceRequired": true,
  "sortOrder": 123,
  "isEnabled": true
}
'
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
evidenceRequired: true,
sortOrder: 123,
isEnabled: true
})
};

fetch('https://api.trycomp.ai/v1/offboarding-checklist/template/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.trycomp.ai/v1/offboarding-checklist/template/{id}"

payload = {
"title": "<string>",
"description": "<string>",
"evidenceRequired": True,
"sortOrder": 123,
"isEnabled": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

id
string
required

Body

application/json
title
string
description
string
evidenceRequired
boolean
sortOrder
number
isEnabled
boolean

Response

200 - undefined